@import url('https://fonts.googleapis.com/css2?family=Figtree:ital,wght@0,300..900;1,300..900&family=Rubik:ital,wght@0,300..900;1,300..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Google+Sans+Flex:opsz,wght@6..144,1..1000&display=swap');

.inicio-desarrollow{
    background-image: url(../img/fondo\ desarolloweb.svg);
    background-position: center;
    background-size: cover;
    width: 100%;
    height: 100vh;
    padding: 1.2rem 1rem;
    animation: inicio-desarrolloweb 3s ease;
}
.inicio-desarrollow-container{
    width: 100%;
    max-width: 500px;
    position: relative;
    top: 40%;
    background-color: transparent;
    backdrop-filter: blur(10px);
    border-radius: 20px;
    padding: 1rem;
}
.inicio-desarrollow-container h1{
    color: var(--color-detalle);
    font-size: clamp(1.5rem, 1.5rem + 2vw, 2.75rem);
}
.inicio-desarrollow-container p{
    color: var(--color-blanco);
    font-size: clamp(.8rem, .8rem + 2vw, 1.5rem);
}

/* Landing page */

.landing{
    width: 100%;
    height: 100vh;
    padding: 1.2rem 1rem;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    margin: auto;
    background-image: url(../img/fondo\ landing.png);
    background-position: center;
    background-size: cover;
    gap: 10px;
}
.landing-container{
    width: 100%;
    max-width: 620px;
    background-color: transparent;
    backdrop-filter: blur(30px);
    border-radius: 20px;
    padding: 1rem;
}
.landing-container h1{
    margin: 1rem 0;
    color: var(--color-landing);
    font-size: clamp(1.5rem, 1.5rem + 2vw, 2.75rem);
}
.landing-container h2{
    margin: 1rem 0;
    color: var(--color-blanco);
    font-weight: 500;
    font-size: clamp(1rem, 1rem + 2vw, 2rem);
}
.landing-container p{
    margin: 0 0 1rem 0;
    color: var(--color-blanco);
    font-size: clamp(.8rem, .8rem + 2vw, 1.5rem);
}
.landing .video-background{
    width: 100%;
    max-width: 600px;
}
.landing .video-background video{
    width: 100%;
    border-radius: 20px;
}
.landing span{
    color: var(--color-landing);
    font-family: "Google Sans Flex", sans-serif;
    font-size: clamp(.8rem, .8rem + 2vw, 1.5rem);
    font-weight: 500;
}
.detallesweb{
    color: var(--color-blanco);
    list-style-type: disc;
    font-family: "Rubik", sans-serif;
    margin: 1rem 0;
    margin-left: 2rem;
    font-size: clamp(.8rem, .8rem + 2vw, 1.5rem);
}

/* Sitio web */

.sitioweb{
    width: 100%;
    height: 100vh;
    padding: 1.2rem 1rem;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    margin: auto;
    gap: 10px;
    background-image: url(../img/fondo\ sitio\ web.png);
    background-position: center;
    background-size: cover;
}
.sitioweb-container{
    width: 100%;
    max-width: 620px;
    background-color: transparent;
    backdrop-filter: blur(30px);
    border-radius: 20px;
    padding: 1rem;
}
.sitioweb h1{
    margin: 1rem 0;
    color: var(--color-sitiow);
    font-size: clamp(1.5rem, 1.5rem + 2vw, 2.75rem);
}
.sitioweb h2{
    margin: 1rem 0;
    color: var(--color-blanco);
}
.sitioweb p{
    margin: 0 0 1rem 0;
    color: var(--color-blanco);
    font-size: clamp(.8rem, .8rem + 2vw, 1.5rem);
}
.sitioweb .video-background{
    width: 100%;
    max-width: 600px;
}
.sitioweb .video-background video{
    width: 100%;
    border-radius: 20px;
}
.sitioweb span{
    color: var(--color-sitiow);
    font-family: "Google Sans Flex", sans-serif;
    font-size: clamp(.8rem, .8rem + 2vw, 1.5rem);
    font-weight: 500;
}


/* Tienda en linea */

.tlinea{
    width: 100%;
    height: 100vh;
    padding: 1.2rem 1rem;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    margin: auto;
    background-color: var(--color-principal);
    background-image: url(../img/fondo\ tienda\ en\ linea.png);
    background-position: center;
    background-size: cover;
    gap: 10px;
}
.tlinea-container{
    width: 100%;
    max-width: 620px;
    background-color: transparent;
    backdrop-filter: blur(30px);
    border-radius: 20px;
    padding: 1rem;
}
.tlinea h1{
    margin: 1rem 0;
    color: var(--color-tlinea);
    font-size: clamp(1.5rem, 1.5rem + 2vw, 2.75rem);
}
.tlinea h2{
    margin: 1rem 0;
    color: var(--color-blanco);
}
.tlinea p{
    margin: 0 0 1rem 0;
    font-size: clamp(.8rem, .8rem + 2vw, 1.5rem);
    color: var(--color-blanco);
}
.tlinea .video-background{
    width: 100%;
    max-width: 600px;
}
.tlinea .video-background video{
    width: 100%;
    border-radius: 20px;
}
.tlinea span{
    color: var(--color-tlinea);
    font-family: "Google Sans Flex", sans-serif;
    font-size: clamp(.8rem, .8rem + 2vw, 1.5rem);
    font-weight: 500;
}

@media screen and (width >=1118px){
    /* desarrollow */
    .inicio-desarrollow-container{
        left: 5%;
    }
    .inicio-desarrollow-container h1{
        color: var(--color-detalle);
    }
    .inicio-desarrollow-container p{
        color: var(--color-blanco);
    }
    .landing{
        height: 80vh;
    }
    .sitioweb{
        flex-direction: row-reverse;
        gap: 10px;
        height: 80vh;
    }
    .tlinea{
        height: 80vh;
    }
}